# 4GPM入库程序正式环境部署文档

## 正式环境资源

- 物理机 192.168.10.7:/data/pm/pm_4g

- 数据库url URL jdbc:postgresql://192.168.70.109:5432/sqmmt

    sqmdb / sqmdb_1QAZ

    4G数据入库表格 tsfx.dw_ft_re_st_eutrancell_ind_h

## xxl-job版本部署--部署流程

由于正式环境已有之前的版本部署，整个业务流程也有变化，此次部署需要比较小心，要避免数据遗漏，也要避免数据重复录入

1. 停止当前业务

2. 检查当前已完成到的位置

    ```sql
    select rpt_time, count(1)
    from tsfx.dw_ft_re_st_eutrancell_ind_h
    where rpt_time > CURRENT_DATE - INTERVAL '1 DAY'
    group by rpt_time
    ```

3. 调整数据源文件，避免重复录入

4. 启动新版本

5. 检查新版本是否正常入库

## spirng调度版本部署情况

部署位置： 192.168.70.130:/data1/pm/
